#!/usr/bin/python

import numpy, sys

conversion=1.0e-20*6.0223e23/4184.0

## surface tensions
## simulation values taken from C Vega & E de Miguel, J Chem Phys, 126, 154707
##                              AE Ismaail, GS Grest, & MJ Stevens, ibid, 125, 014702

upper=lower=False
gamma_exp=71.73e-3
gamma_sim=52.3e-3
dgamma_sim=1.5e-3

gamma_exp*=conversion
gamma_sim*=conversion
dgamma_sim*=conversion

inf=open(sys.argv[1],'r')
nSkip=int(sys.argv[2])
upper_or_lower=sys.argv[3]
tSkip=0.01*nSkip

if upper_or_lower=='u':
    upper=True
elif upper_or_lower=='l':
    lower=True


area_ave=0.0
area_sqr=0.0
norm=0.0

while 1:

   line=inf.readline()
   if not line:
       break
   
   data=line.split()
   tstep=float(data[0])
   if upper:   
       area=float(data[1])
   if lower:
       area=float(data[2])
       
   print tstep,-area*gamma_sim,-area*gamma_exp
   if tstep<tSkip:
       continue
       
   area_ave+=area
   area_sqr+=area**2
   norm+=1.0
   
   

area_ave/=norm
area_sqr/=norm
area_std=numpy.sqrt(area_sqr-area_ave**2)
area_std/=numpy.sqrt(norm-1.0)
eng_ave_exp=-gamma_exp*area_ave
eng_std_exp=gamma_exp*area_std
eng_ave_sim=-gamma_sim*area_ave
eng_std_sim=numpy.sqrt((gamma_sim*area_std)**2+(dgamma_sim*area_ave)**2)
print "## average over %12d steps" % (int(norm))
print "## area               = %8.3f +/- %8.3f" % (area_ave,area_std)
print "## energy (gamma_exp) = %8.3f +/- %8.3f" % (eng_ave_exp,eng_std_exp)
print "## energy (gamma_sim) = %8.3f +/- %8.3f" % (eng_ave_sim,eng_std_sim)
